# Aliens on My Lawn
# Copyright (C) 2009 Jeffrey Armstrong (a.k.a. PrintStar)
# http://jeff.rainbow-100.com/
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# A full version of the license terms is available in LICENSE.

from pygame import *
from constants import *
from data import *
from utilities import grid2xy

class InanimateSprite(sprite.Sprite):
    def __init__(self,grid=(1,1),image=None):
        sprite.Sprite.__init__(self)
        
        self.image = load_image(image)
        self.rect = Rect(grid2xy(grid),(self.image.get_width(),self.image.get_height()))
        
    def set_topleft_grid(self,gxy):
        self.rect.topleft = grid2xy(gxy)